Subject: Blind luck

From: [email-masked] (Julian Vrieslander)
Date: 5 Jun 89 10:30:04 GMT

A young woman has just undressed to step into the shower when the doorbell
rings.  She goes to the door and says, "Who is it?"

"Blind man," comes the reply.

So instead of going back to the bathroom for her robe, she opens the door.

"Hmmm.. nice body, lady.  Where do you want the blinds?"
--
Edited by Brad Templeton.  MAIL, yes MAIL your jokes to [email-masked]
Attribute the joke's source if at all possible.  I will reply, mailers willing.

Remember: If you POST your joke instead of mailing it, I will not reply.